-----------------------------------------------------------------------------------------------
-- Client Lua Script for RemoveDefaultCastbars
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Window"
 
-----------------------------------------------------------------------------------------------
-- RemoveDefaultCastbars Module Definition
-----------------------------------------------------------------------------------------------
local RemoveDefaultCastbars = {} 
 
-----------------------------------------------------------------------------------------------
-- Constants
-----------------------------------------------------------------------------------------------
-- e.g. local kiExampleVariableMax = 999
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function RemoveDefaultCastbars:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function RemoveDefaultCastbars:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		-- "UnitOrPackageName",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- RemoveDefaultCastbars OnLoad
-----------------------------------------------------------------------------------------------
function RemoveDefaultCastbars:OnLoad()
    -- load our form file
	--self.xmlDoc = XmlDoc.CreateFromFile("RemoveDefaultCastbars.xml")
	--self.xmlDoc:RegisterCallback("OnDocLoaded", self)
	Apollo.RegisterTimerHandler("OneSecTimer", "OnTimer", self)

end

-----------------------------------------------------------------------------------------------
-- RemoveDefaultCastbars OnDocLoaded
-----------------------------------------------------------------------------------------------
function RemoveDefaultCastbars:OnDocLoaded()

	if self.xmlDoc ~= nil and self.xmlDoc:IsLoaded() then
	    self.wndMain = Apollo.LoadForm(self.xmlDoc, "RemoveDefaultCastbarsForm", nil, self)
		if self.wndMain == nil then
			Apollo.AddAddonErrorText(self, "Could not load the main window for some reason.")
			return
		end
		
	    --self.wndMain:Show(false, true)

		-- if the xmlDoc is no longer needed, you should set it to nil
		-- self.xmlDoc = nil
		
		-- Register handlers for events, slash commands and timer, etc.
		-- e.g. Apollo.RegisterEventHandler("KeyDown", "OnKeyDown", self)
		
		-- Do additional Addon initialization here
	end
end

-----------------------------------------------------------------------------------------------
-- RemoveDefaultCastbars Functions
-----------------------------------------------------------------------------------------------
-- Define general functions here
function RemoveDefaultCastbars:OnTimer()
	local targetFrameAddon = Apollo.GetAddon("TargetFrame")
	if targetFrameAddon then
		if targetFrameAddon.luaUnitFrame then targetFrameAddon.luaUnitFrame["wndLargeFrame"]:FindChild("CastingFrame"):SetOpacity(0) end
		if targetFrameAddon.luaTargetFrame then targetFrameAddon.luaTargetFrame["wndLargeFrame"]:FindChild("CastingFrame"):SetOpacity(0) end
		if targetFrameAddon.luaFocusFrame then targetFrameAddon.luaFocusFrame["wndLargeFrame"]:FindChild("CastingFrame"):SetOpacity(0) end
	end
end

-----------------------------------------------------------------------------------------------
-- RemoveDefaultCastbarsForm Functions
-----------------------------------------------------------------------------------------------
-- when the OK button is clicked
function RemoveDefaultCastbars:OnOK()
	self.wndMain:Close() -- hide the window
end

-- when the Cancel button is clicked
function RemoveDefaultCastbars:OnCancel()
	self.wndMain:Close() -- hide the window
end


-----------------------------------------------------------------------------------------------
-- RemoveDefaultCastbars Instance
-----------------------------------------------------------------------------------------------
local RemoveDefaultCastbarsInst = RemoveDefaultCastbars:new()
RemoveDefaultCastbarsInst:Init()
